Bug 1860542 - trash-cli python3 external drives not listed
Summary: trash-cli python3 external drives not listed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: trash-cli
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Ben Kircher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-25 00:08 UTC by tokariew
Modified: 2020-11-19 01:29 UTC (History)
3 users (show)

Fixed In Version: trash-cli-0.20.11.7-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-19 01:29:05 UTC
Type: Bug


Attachments (Terms of Use)

Description tokariew 2020-07-25 00:08:39 UTC
Description of problem:

trash-cli don't see files in trash from non-system mounted drives 

Version-Release number of selected component (if applicable):

0.17.1.14-10


Steps to Reproduce:
1.move file to trash on external drive with trash-rm
2.use trash-list

Actual results:

Trash Files from external or non-system mounted drives are not mounted.

Expected results:

All trash files are listed

Additional info:
This pr solve the issue for python3
https://github.com/andreafrancia/trash-cli/pull/170
upstream was not updated in nearly 3 years…

Comment 1 Ben Kircher 2020-07-26 12:17:51 UTC
> upstream was not updated in nearly 3 years…

Yep, maybe we ask upstream if we can help or move the project or whatever is reasonable.


> https://github.com/andreafrancia/trash-cli/pull/170

Is there a corresponding GH issue?


No problem with integrating this as a patch in the package build. I'll try this later

Comment 2 tokariew 2020-07-26 14:54:44 UTC
https://github.com/andreafrancia/trash-cli/issues/95 this is corresponding issue

Comment 3 Ben Kircher 2020-11-10 05:43:54 UTC
Should be fixed with upstream commit b7723e846a2ee0b817997dead64c93d2e981184c which is part of latest 0.20.11.7 release.

Comment 4 Fedora Update System 2020-11-10 21:46:56 UTC
FEDORA-2020-9491bdea63 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9491bdea63

Comment 5 Ben Kircher 2020-11-10 21:48:28 UTC
Tested with external disk like described above. Looks good to me.

Comment 6 Fedora Update System 2020-11-11 02:20:26 UTC
FEDORA-2020-9491bdea63 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9491bdea63`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9491bdea63

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-19 01:29:05 UTC
FEDORA-2020-9491bdea63 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.